<?php

namespace WordpressModels\Page;

/**
 * Interface PageInterface
 *
 * Interface for page services, providing a basic structure for page services.
 */
interface PageInterface
{

    public function getPageId(): string;

    public function buildContext(array $parameters = []): array;

    public function renderPage(): void;

}
